Bug 76978 - The Linux console does not display the vt100 graphics characters
The Linux console does not display the vt100 graphics characters
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-30 10:10 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
VT100 box test (193 bytes, text/plain)
2003-01-07 22:09 EST, Keith Briscoe
no flags Details

  None (edit)
Description Need Real Name 2002-10-30 10:10:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
if I send to the linux text console the control characters in order to
enter the graphics mode (vt100 graphics) , the video remains in text mode and 
instead of diplaying lines, it displays characters.
In red hat 7.2 it works fine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.go to init 3

2.create a file called text containing
ESC ( 0 qqqqqqqqqq

3. run the command  cat text

instead of seeing a continuos line, you see qqqqqqqqqq

	

Actual Results:  see above

Expected Results:  see above

Additional info:
Comment 1 Keith Briscoe 2003-01-07 22:02:18 EST
I've noticed this too.  The Linux console correctly interprets some VT sequences
(scroll regions, for example), but does not handle the VT alternate
"linedrawing" character set.  If it helps, here is some documentation on the
codes used to generate these symbols:

Description of VT100 codes:
http://www.cs.utk.edu/~shuford/terminal/dec_vt100_codes.txt

Description of the alternate character set:
http://vt100.net/docs/vt100-ug/table3-9.html

I am no expert on the subject, but I have an interest in getting this bug
resolved so I'll be verbose.  The VT codes allow the terminal to switch among
several character sets.  However, in my experience, the only alternate character
set actually commonly used is the one for linedrawing.  Switching to any other
character set typically just returns you to ISO-8859-15 or UTF-8 or whatever
your system's default is (other character sets are rarely implemented.  In fact,
most of the linedrawing character set is usually also identical to the default
character set, it's just the range (decimal) 95-126 that is different (this in
in implementation, I have no idea what's "correct").  Here's a list of the
decimal codes and my *best guess* as to the matching Unicode value for the glyph
they represent.  If someone knows better than me, please correct it.

Decimal	Description		Unicode (hex)
> 95	blank			00A0
> 96	diamond			2666
> 97	checkerboard		2592
> 98	ht symbol		2409
> 99	ff symbol		240C
> 100	cr symbol		240D
> 101	lf symbol		240A
> 102	degree			00B0
> 103	plus/minus		00B1
> 104	nl symbol		2424
> 105	vt symbol		000B
> 106	lower-right corner	2518
> 107	upper-right corner	2510
> 108	upper-left corner	250C
> 109	lower-left corner	2514
> 110	crossing lines		253C
> 111	horiz line-scan1	23BA
> 112	horiz line-scan3	23BB
> 113	horiz line-scan5	2500
> 114	horiz line-scan7	23BC
> 115	horiz line-scan9	23BD
> 116	left "T"		251C
> 117	right "T"		2524
> 118	bottom "T"		2534
> 119	top "T"			252C
> 120	vert line		2502
> 121	<=			2264
> 122	>=			2265
> 123	pi			03C0
> 124	!=			2260
> 125	UK pound		00A3
> 126	centered dot		00B7

Lastly, it's worth noting that this behavior seems to work correctly in an xterm
and on the consoles of the RedHat 7.x series.  I will attach a linedrawing
testcase file that you can cat in an xterm and in the console to see the difference.
Comment 2 Keith Briscoe 2003-01-07 22:09:09 EST
Created attachment 89204 [details]
VT100 box test

Cat this file to test VT100 emulation.	If correct, the text "VT100 linedrawing
test" should be inside a box of linedrawing characters.
Comment 3 Bugzilla owner 2004-09-30 11:40:08 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.